Page MenuHomePhabricator

Code samples overflow content container
Closed, ResolvedPublic

Description

Expected behavior

The position of the content container is consistent regardless of the contents of the page.

Observed behavior

Code samples with long lines aren't wrapping in the same way that normal text does, causing the main content container to over-expand and get pushed below the sidebar. This example shows two pages at the same screen width. In the page on the left, the code sample is causing the misplacement of the main content container.

Referenced pages:

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2020, 12:54 AM
apaskulin moved this task from Backlog to Ready on the Platform Team Workboards (Green) board.
apaskulin triaged this task as High priority.Sep 29 2020, 2:55 PM

Change 633566 had a related patch set uploaded (by Alex Paskulin; owner: Cicalese):
[mediawiki/skins/WikimediaApiPortal@master] Site notices full width and fix content wrap

https://gerrit.wikimedia.org/r/633566

Change 633566 merged by jenkins-bot:
[mediawiki/skins/WikimediaApiPortal@master] Site notices full width and fix content wrap

https://gerrit.wikimedia.org/r/633566

apaskulin closed this task as Resolved.Oct 13 2020, 10:45 PM
apaskulin moved this task from Ready to Done on the Platform Team Workboards (Green) board.

Verified on beta. Thanks, Cindy!